[arch-commits] Commit in synfigstudio/repos (8 files)

Sergej Pupykin spupykin at archlinux.org
Wed Nov 19 18:58:48 UTC 2014


    Date: Wednesday, November 19, 2014 @ 19:58:48
  Author: spupykin
Revision: 122780

archrelease: copy trunk to community-i686, community-x86_64

Added:
  synfigstudio/repos/community-i686/PKGBUILD
    (from rev 122779, synfigstudio/trunk/PKGBUILD)
  synfigstudio/repos/community-i686/synfigstudio.install
    (from rev 122779, synfigstudio/trunk/synfigstudio.install)
  synfigstudio/repos/community-x86_64/PKGBUILD
    (from rev 122779, synfigstudio/trunk/PKGBUILD)
  synfigstudio/repos/community-x86_64/synfigstudio.install
    (from rev 122779, synfigstudio/trunk/synfigstudio.install)
Deleted:
  synfigstudio/repos/community-i686/PKGBUILD
  synfigstudio/repos/community-i686/synfigstudio.install
  synfigstudio/repos/community-x86_64/PKGBUILD
  synfigstudio/repos/community-x86_64/synfigstudio.install

---------------------------------------+
 /PKGBUILD                             |   88 ++++++++++++++++++++++++++++++++
 /synfigstudio.install                 |   24 ++++++++
 community-i686/PKGBUILD               |   44 ----------------
 community-i686/synfigstudio.install   |   12 ----
 community-x86_64/PKGBUILD             |   44 ----------------
 community-x86_64/synfigstudio.install |   12 ----
 6 files changed, 112 insertions(+), 112 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2014-11-19 18:58:33 UTC (rev 122779)
+++ community-i686/PKGBUILD	2014-11-19 18:58:48 UTC (rev 122780)
@@ -1,44 +0,0 @@
-# $Id$
-# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Contributor: Franco Iacomella <yaco at gnu.org>
-
-pkgname=synfigstudio
-pkgver=0.64.1
-pkgrel=1
-pkgdesc="Professional vector animation program (GUI)"
-arch=(i686 x86_64)
-url="http://synfig.org"
-license=('GPL2')
-depends=('gtkmm' 'synfig')
-makedepends=('openexr' 'imagemagick' 'xorg-fonts-100dpi' 'xorg-fonts-75dpi'
-	     'xorg-fonts-misc' 'xorg-fonts-type1' 'intltool')
-install=synfigstudio.install
-source=(http://downloads.sourceforge.net/project/synfig/releases/$pkgver/source/synfigstudio-$pkgver.tar.gz)
-md5sums=('94d3daf5f32d186a44175aedfb9f22cd')
-
-build() {
-  cd $srcdir/synfigstudio-$pkgver
-  [ -f configure ] || { libtoolize --ltdl --copy --force && autoreconf --install --force; }
-  [ -f Makefile ] || ./configure --prefix=/usr --sysconfdir=/etc --with-libavcodec --with-libdv
-  sed -i 's#Gtk::IconSize::IconSize#Gtk::IconSize#' src/gui/dialogs/dialog_color.cpp
-  make
-}
-
-package() {
-  cd $srcdir/synfigstudio-$pkgver
-  make DESTDIR=$pkgdir install
-  rm -f $pkgdir/usr/share/pixmaps/$pkgname/*.mng
-  install -m644 images/*.png -t $pkgdir/usr/share/pixmaps/$pkgname/
-  rm -f $pkgdir/usr/share/mime/XMLnamespaces
-  rm -f $pkgdir/usr/share/mime/aliases
-  rm -f $pkgdir/usr/share/mime/generic-icons
-  rm -f $pkgdir/usr/share/mime/globs
-  rm -f $pkgdir/usr/share/mime/globs2
-  rm -f $pkgdir/usr/share/mime/icons
-  rm -f $pkgdir/usr/share/mime/magic
-  rm -f $pkgdir/usr/share/mime/mime.cache
-  rm -f $pkgdir/usr/share/mime/subclasses
-  rm -f $pkgdir/usr/share/mime/treemagic
-  rm -f $pkgdir/usr/share/mime/types
-  rm -f $pkgdir/usr/share/mime/version
-}

Copied: synfigstudio/repos/community-i686/PKGBUILD (from rev 122779, synfigstudio/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2014-11-19 18:58:48 UTC (rev 122780)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Franco Iacomella <yaco at gnu.org>
+
+pkgname=synfigstudio
+pkgver=0.64.2
+pkgrel=1
+pkgdesc="Professional vector animation program (GUI)"
+arch=(i686 x86_64)
+url="http://synfig.org"
+license=('GPL2')
+depends=('gtkmm' 'synfig')
+makedepends=('openexr' 'imagemagick' 'xorg-fonts-100dpi' 'xorg-fonts-75dpi'
+	     'xorg-fonts-misc' 'xorg-fonts-type1' 'intltool')
+install=synfigstudio.install
+source=(http://downloads.sourceforge.net/project/synfig/releases/$pkgver/source/synfigstudio-$pkgver.tar.gz)
+md5sums=('ea7fee6d20c554a2891a1e247b7fa304')
+
+build() {
+  cd $srcdir/synfigstudio-$pkgver
+  [ -f configure ] || { libtoolize --ltdl --copy --force && autoreconf --install --force; }
+  [ -f Makefile ] || ./configure --prefix=/usr --sysconfdir=/etc --with-libavcodec --with-libdv
+  sed -i 's#Gtk::IconSize::IconSize#Gtk::IconSize#' src/gui/dialogs/dialog_color.cpp
+  make
+}
+
+package() {
+  cd $srcdir/synfigstudio-$pkgver
+  make DESTDIR=$pkgdir install
+  rm -f $pkgdir/usr/share/pixmaps/$pkgname/*.mng
+  install -m644 images/*.png -t $pkgdir/usr/share/pixmaps/$pkgname/
+  rm -f $pkgdir/usr/share/mime/XMLnamespaces
+  rm -f $pkgdir/usr/share/mime/aliases
+  rm -f $pkgdir/usr/share/mime/generic-icons
+  rm -f $pkgdir/usr/share/mime/globs
+  rm -f $pkgdir/usr/share/mime/globs2
+  rm -f $pkgdir/usr/share/mime/icons
+  rm -f $pkgdir/usr/share/mime/magic
+  rm -f $pkgdir/usr/share/mime/mime.cache
+  rm -f $pkgdir/usr/share/mime/subclasses
+  rm -f $pkgdir/usr/share/mime/treemagic
+  rm -f $pkgdir/usr/share/mime/types
+  rm -f $pkgdir/usr/share/mime/version
+}

Deleted: community-i686/synfigstudio.install
===================================================================
--- community-i686/synfigstudio.install	2014-11-19 18:58:33 UTC (rev 122779)
+++ community-i686/synfigstudio.install	2014-11-19 18:58:48 UTC (rev 122780)
@@ -1,12 +0,0 @@
-post_install() {
-  update-mime-database usr/share/mime || true
-  which xdg-icon-resource 1>/dev/null 2>/dev/null && xdg-icon-resource forceupdate || true
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-post_remove() {
-  which xdg-icon-resource 1>/dev/null 2>/dev/null && xdg-icon-resource forceupdate || true
-}

Copied: synfigstudio/repos/community-i686/synfigstudio.install (from rev 122779, synfigstudio/trunk/synfigstudio.install)
===================================================================
--- community-i686/synfigstudio.install	                        (rev 0)
+++ community-i686/synfigstudio.install	2014-11-19 18:58:48 UTC (rev 122780)
@@ -0,0 +1,12 @@
+post_install() {
+  update-mime-database usr/share/mime || true
+  which xdg-icon-resource 1>/dev/null 2>/dev/null && xdg-icon-resource forceupdate || true
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  which xdg-icon-resource 1>/dev/null 2>/dev/null && xdg-icon-resource forceupdate || true
+}

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2014-11-19 18:58:33 UTC (rev 122779)
+++ community-x86_64/PKGBUILD	2014-11-19 18:58:48 UTC (rev 122780)
@@ -1,44 +0,0 @@
-# $Id$
-# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Contributor: Franco Iacomella <yaco at gnu.org>
-
-pkgname=synfigstudio
-pkgver=0.64.1
-pkgrel=1
-pkgdesc="Professional vector animation program (GUI)"
-arch=(i686 x86_64)
-url="http://synfig.org"
-license=('GPL2')
-depends=('gtkmm' 'synfig')
-makedepends=('openexr' 'imagemagick' 'xorg-fonts-100dpi' 'xorg-fonts-75dpi'
-	     'xorg-fonts-misc' 'xorg-fonts-type1' 'intltool')
-install=synfigstudio.install
-source=(http://downloads.sourceforge.net/project/synfig/releases/$pkgver/source/synfigstudio-$pkgver.tar.gz)
-md5sums=('94d3daf5f32d186a44175aedfb9f22cd')
-
-build() {
-  cd $srcdir/synfigstudio-$pkgver
-  [ -f configure ] || { libtoolize --ltdl --copy --force && autoreconf --install --force; }
-  [ -f Makefile ] || ./configure --prefix=/usr --sysconfdir=/etc --with-libavcodec --with-libdv
-  sed -i 's#Gtk::IconSize::IconSize#Gtk::IconSize#' src/gui/dialogs/dialog_color.cpp
-  make
-}
-
-package() {
-  cd $srcdir/synfigstudio-$pkgver
-  make DESTDIR=$pkgdir install
-  rm -f $pkgdir/usr/share/pixmaps/$pkgname/*.mng
-  install -m644 images/*.png -t $pkgdir/usr/share/pixmaps/$pkgname/
-  rm -f $pkgdir/usr/share/mime/XMLnamespaces
-  rm -f $pkgdir/usr/share/mime/aliases
-  rm -f $pkgdir/usr/share/mime/generic-icons
-  rm -f $pkgdir/usr/share/mime/globs
-  rm -f $pkgdir/usr/share/mime/globs2
-  rm -f $pkgdir/usr/share/mime/icons
-  rm -f $pkgdir/usr/share/mime/magic
-  rm -f $pkgdir/usr/share/mime/mime.cache
-  rm -f $pkgdir/usr/share/mime/subclasses
-  rm -f $pkgdir/usr/share/mime/treemagic
-  rm -f $pkgdir/usr/share/mime/types
-  rm -f $pkgdir/usr/share/mime/version
-}

Copied: synfigstudio/repos/community-x86_64/PKGBUILD (from rev 122779, synfigstudio/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2014-11-19 18:58:48 UTC (rev 122780)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Franco Iacomella <yaco at gnu.org>
+
+pkgname=synfigstudio
+pkgver=0.64.2
+pkgrel=1
+pkgdesc="Professional vector animation program (GUI)"
+arch=(i686 x86_64)
+url="http://synfig.org"
+license=('GPL2')
+depends=('gtkmm' 'synfig')
+makedepends=('openexr' 'imagemagick' 'xorg-fonts-100dpi' 'xorg-fonts-75dpi'
+	     'xorg-fonts-misc' 'xorg-fonts-type1' 'intltool')
+install=synfigstudio.install
+source=(http://downloads.sourceforge.net/project/synfig/releases/$pkgver/source/synfigstudio-$pkgver.tar.gz)
+md5sums=('ea7fee6d20c554a2891a1e247b7fa304')
+
+build() {
+  cd $srcdir/synfigstudio-$pkgver
+  [ -f configure ] || { libtoolize --ltdl --copy --force && autoreconf --install --force; }
+  [ -f Makefile ] || ./configure --prefix=/usr --sysconfdir=/etc --with-libavcodec --with-libdv
+  sed -i 's#Gtk::IconSize::IconSize#Gtk::IconSize#' src/gui/dialogs/dialog_color.cpp
+  make
+}
+
+package() {
+  cd $srcdir/synfigstudio-$pkgver
+  make DESTDIR=$pkgdir install
+  rm -f $pkgdir/usr/share/pixmaps/$pkgname/*.mng
+  install -m644 images/*.png -t $pkgdir/usr/share/pixmaps/$pkgname/
+  rm -f $pkgdir/usr/share/mime/XMLnamespaces
+  rm -f $pkgdir/usr/share/mime/aliases
+  rm -f $pkgdir/usr/share/mime/generic-icons
+  rm -f $pkgdir/usr/share/mime/globs
+  rm -f $pkgdir/usr/share/mime/globs2
+  rm -f $pkgdir/usr/share/mime/icons
+  rm -f $pkgdir/usr/share/mime/magic
+  rm -f $pkgdir/usr/share/mime/mime.cache
+  rm -f $pkgdir/usr/share/mime/subclasses
+  rm -f $pkgdir/usr/share/mime/treemagic
+  rm -f $pkgdir/usr/share/mime/types
+  rm -f $pkgdir/usr/share/mime/version
+}

Deleted: community-x86_64/synfigstudio.install
===================================================================
--- community-x86_64/synfigstudio.install	2014-11-19 18:58:33 UTC (rev 122779)
+++ community-x86_64/synfigstudio.install	2014-11-19 18:58:48 UTC (rev 122780)
@@ -1,12 +0,0 @@
-post_install() {
-  update-mime-database usr/share/mime || true
-  which xdg-icon-resource 1>/dev/null 2>/dev/null && xdg-icon-resource forceupdate || true
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-post_remove() {
-  which xdg-icon-resource 1>/dev/null 2>/dev/null && xdg-icon-resource forceupdate || true
-}

Copied: synfigstudio/repos/community-x86_64/synfigstudio.install (from rev 122779, synfigstudio/trunk/synfigstudio.install)
===================================================================
--- community-x86_64/synfigstudio.install	                        (rev 0)
+++ community-x86_64/synfigstudio.install	2014-11-19 18:58:48 UTC (rev 122780)
@@ -0,0 +1,12 @@
+post_install() {
+  update-mime-database usr/share/mime || true
+  which xdg-icon-resource 1>/dev/null 2>/dev/null && xdg-icon-resource forceupdate || true
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  which xdg-icon-resource 1>/dev/null 2>/dev/null && xdg-icon-resource forceupdate || true
+}


More information about the arch-commits mailing list